# No Referrer

The
[`rel="noreferrer"`](https://html.spec.whatwg.org/multipage/links.html#link-type-noreferrer)
attribute enhances privacy by allowing users to avoid leaking referrer
information when they click on (or prefetch) links to external sites. It
also enhances security by preventing the linked page from gaining access
to the linking page via the `window.opener` object.

No Referrer module adds `rel="noreferrer"` to all external links
generated by code. It also provides a filter which, if enabled for a
text format, adds `rel="noreferrer"` to all external links in
user-generated content.

In addition, this module adds
[`rel="noopener"`](https://html.spec.whatwg.org/multipage/links.html#link-type-noopener)
to all links with a target.

Finally, `referrerpolicy="no-referrer"` is added to
external `img`, `iframe`, `script` and `link` elements in user-generated
content.

Site administrators can toggle `referrerpolicy="no-referrer"`,
`rel="noopener"` and `rel="noreferrer"` on and off if, for example, they
need only the security protections of `rel="noopener"` without the
privacy protections of `rel="noreferrer"`.

Administrators can also define a list of allowed domains to which
referrer URLs will be sent. If desired, a site can also publish its list
of allowed domains as a JSON file, to which other sites can subscribe.
Alternately, a site can subscribe to another site's list of allowed
domains.


## Maintainers

No Referrer module is maintained by [mfb](https://www.drupal.org/u/mfb).

You can support development by [contributing bug reports, feature suggestions
and support requests](https://www.drupal.org/project/issues/noreferrer) or by
[sponsoring](https://github.com/sponsors/mfb).
